Package Details: jitsi-videobridge-git 2.1+497+g9f27e9877-1

Git Clone URL: https://aur.archlinux.org/jitsi-videobridge-git.git (read-only, click to copy)
Package Base: jitsi-videobridge-git
Description: Jitsi Meet Videobridge git build
Upstream URL: https://jitsi.org/jitsi-meet/
Licenses: Apache
Submitter: fordprefect
Maintainer: celogeek
Last Packager: celogeek
Votes: 1
Popularity: 0.000034
First Submitted: 2020-04-22 11:30
Last Updated: 2021-05-13 17:51

Dependencies (6)

Required by (0)

Sources (6)

Pinned Comments

celogeek commented on 2021-04-10 14:18

Hi,

I have update the package to align to other jitsi-meet packages I maintain (stable, stable-bin, nightly, nightly-bin).

Now the package use Arch way for configs (/etc/jitsi-videobridge-git).

I made a blog post to configure jitsi-meet on arch. It is made for the nightly but you can replace the -nightly by -git and the tutorial will applied: https://blog.celogeek.com/posts/linux/archlinux/2021-02-jitsi-meet-nighly-on-arch-linux/

I'm working on alignment of all jitsi-meet packages. I will update the Arch Wiki as soon as I can.

Latest Comments

« First ‹ Previous 1 2

fordprefect commented on 2020-04-25 10:22

The purpose of a git package is building from developement tip. Don't use a -git package if you want the latest stable version! As soon as there is a stable videobridge version 2.x, the stable package will reflect that. Until that, there is no "stable jvb2". EDIT: also, please note: for me it is still completely unclear what upstream considers "stable", thus there is a support request open and once we get a response, the packages will be changed to reflect that.

archtom commented on 2020-04-25 10:17

It would be nice to have this package going with the stable line, not with git, but also build from source. As mentioned in my last post you could add

pkgver=2.1_183_gdbddd169

_commit=dbddd169cb4fa8e4d3fb733f6eefdbbad071bf42

source=("jitsi-videobridge::git+https://github.com/jitsi/jitsi-videobridge.git#commit=$_commit"

and rename the package to jitsi-videobridge2 as jitsi-videobridge is stable jvb and not jvb2.

Thanks for maintaining this.

fordprefect commented on 2020-04-25 09:36

@archtom: I see the problem and solved it the other way around. It was not actually meant to be installed to a folder with suffix -git. @corn3j: I added you as co-maintainer and don't mind swapping packages altogether so the stable and -git packages can be made the same style…

C0rn3j commented on 2020-04-25 09:17

Thanks for packaging this!

If you want, I'm up to being a co-maintainer of this package as I already maintain jitsi-videobridge, so it may be easier to keep up the packages consistent that way.

archtom commented on 2020-04-24 18:37

Hey, the service file has to be changed to

ExecStart=/opt/jitsi-videobridge-git/jvb.sh ${flags}

to start the service.

And I changed/added

pkgver=2.1_183_gdbddd169

_commit=dbddd169cb4fa8e4d3fb733f6eefdbbad071bf42

source=("jitsi-videobridge::git+https://github.com/jitsi/jitsi-videobridge.git#commit=$_commit"

to reflect the latest stable version.

archtom commented on 2020-04-22 19:24

Hey, thanks for the package. Please add maven as build dependency. Thanks